<?xml version="1.0"?>
<doc>
<assembly>
<name>
JobClient.UI
</name>
</assembly>
<members>
<member name="M:JF.PlmJobManager.JobClient.UI.Debugger.LogTargetMethod(System.String,System.String,System.String,System.String,System.String,System.String)">
 <summary>
 Methode wird von NLog aufgerufen und leitet die Info-Logs an die UI weiter
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.Run">
 <summary>
 UI Entry point
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.ApplicationType">
 <summary>
 Gibt den für diese UI passenden ApplicationTyp zurück
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_Message(JF.PlmJobManager.JobClient.DomainModel.UIMessage_cls)">
 <summary>
 Eingehende Nachricht
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_TransferStarted(JF.PlmJobManager.JobClient.Communication.TransferInfo_cls)">
 <summary>
 Ein Transfer wurde gestartet
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_TransferProgress(JF.PlmJobManager.JobClient.Communication.TransferInfo_cls)">
 <summary>
 Ein Transfer läuft gerade, hier Status-Update
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_TransferFinished(JF.PlmJobManager.JobClient.Communication.TransferInfo_cls)">
 <summary>
 Ein Transfer wurde beendet
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_ExecutingJobInformationReport(JF.PlmJobManager.JobClient.Core.JobExecuting.ExecutingJobInformation_cls)">
 <summary>
 eingehende Ablaufinformationen zum gerade ausgeführten Job
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_DefaultWindowModeChanged(JF.PlmJobManager.JobServer.ClientCommunication.JobToExecute_cls.WindowMode)">
 <summary>
 Der Window-Mode wurde geändert
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_RequestDefaultWindowModeChange">
 <summary>
 Meldet eine Änderung des Window Modes
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.RaiseEvent_OUT_RequestDefaultWindowModeChange(JF.PlmJobManager.JobServer.ClientCommunication.JobToExecute_cls.WindowMode)">
 <summary>
 Meldet eine Änderung des Window Modes
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_ChangeJobClientMode">
 <summary>
 Meldet eine Änderung des JobClientModes
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.RaiseEvent_OUT_ChangeJobClientMode(JF.PlmJobManager.JobServer.ClientCommunication.HostInfo_cls.ClientMode)">
 <summary>
 Meldet eine Änderung des JobClientModes
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_ReconnectNowToJobServer">
 <summary>
 Aufforderung sich sofort mit dem JobServer zu verbinden
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.RaiseEvent_OUT_ReconnectNowToJobServer">
 <summary>
 Aufforderung sich sofort mit dem JobServer zu verbinden
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_ApplicationEndRequest">
 <summary>
 UI fordert das Programm dazu auf sich zu beenden
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.RaiseEvent_OUT_ApplicationEndRequest">
 <summary>
 UI fordert das Programm dazu auf sich zu beenden
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_AbortJobServerConnection">
 <summary>
 UI fordert das Programm dazu auf die aktuelle verbindung zum Server zu unterbrechen
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.RaiseEvent_OUT_AbortJobServerConnection">
 <summary>
 UI fordert das Programm dazu auf die aktuelle verbindung zum Server zu unterbrechen
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_ApplicationEnd">
 <summary>
 Eingehenden Anforderung die UI zu beenden
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.CloseUiRequested">
 <summary>
 Returns true if the UI is requested to be closed
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.ChangeJobClientModeTo(JF.PlmJobManager.JobServer.ClientCommunication.HostInfo_cls.ClientMode,System.Boolean)">
 <summary>
 Ändert den aktuellen JobClientMode
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_QueryJobClientMode">
 <summary>
 Sendet eine Anfrage zur Übermittlung des aktuellen JobClientModes
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.RaiseEvent_OUT_QueryJobClientMode">
 <summary>
 Sendet eine Anfrage zur Übermittlung des aktuellen JobClientModes
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_JobClientModeResponse(JF.PlmJobManager.JobServer.ClientCommunication.HostInfo_cls.ClientMode)">
 <summary>
 Empfang des aktuellen JobClientModes
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_PreviousJobClientModeReport">
 <summary>
 function to report previous job client mode
 </summary>
 <remarks> 
 #New: 3.1310;27.03.2017;S.Gueth
 </remarks>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_PreviousJobClientModeReport">
 <summary>
 event to report the previous job client mode
 </summary>
</member>
<member name="P:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.PreviousClientMode">
 <summary>
 property to store the previous client mode
 </summary>
 <returns></returns>
 <remarks> 
 #New: 3.1308;21.03.2017;S.Gueth
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_JobClientWindowModeResponse(JF.PlmJobManager.JobServer.ClientCommunication.JobToExecute_cls.WindowMode)">
 <summary>
 Empfang des aktuellen JobClientWindowModes
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_RequestOpenExplorerWithDataFolder">
 <summary>
 Anforderung den Windows-Explorer mit dem DatenFolder dieses JobClients zu öffnen
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.RaiseEvent_OUT_RequestOpenExplorerWithDataFolder(System.String)">
 <summary>
 Anforderung den Windows-Explorer mit dem DatenFolder dieses JobClients zu öffnen
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_CancelSystemRebootRequest">
 <summary>
 UI fordert das Programm auf den geplanten Reboot abzubrechen
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.RaiseEvent_OUT_CancelSystemRebootRequest">
 <summary>
 UI fordert das Programm auf den geplanten Reboot abzubrechen
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_CleanupOldJobDirs">
 <remarks> 
 <br/>#New: 3.2000;26.01.2026;S.Gueth
 </remarks>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.RaiseEvent_OUT_CleanupOldJobDirs">
 <remarks> 
 <br/>#New: 3.2000;26.01.2026;S.Gueth
 </remarks>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_CurrentExecutingJobsRequest">
 <summary>
 Fordert die Liste der aktuell ausgeführten Jobs an
 </summary>
</member>
<member name="F:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.CurrentExecutingJobs">
 <summary>
 Empfängt die Liste der aktuell ausgeführten Jobs
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.TryGetCurrentExecutingJobs">
 <summary>
 Fordert die host infos an
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_HostInfos(JF.PlmJobManager.JobServer.ClientCommunication.HostInfo_cls)">
 <summary>
 empfängt die host infos
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_HostInfosRequest">
 <summary>
 Fordert die host infos an
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.TryGetHostInfos">
 <summary>
 Fordert die host infos an
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_HostDriveSettings(JobManagerCSLib.HostDrive.HostDriveSettings_cls)">
 <summary>
 empfängt die HostDriveSettings
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_HostDriveSettingsRequest">
 <summary>
 Fordert die HostDriveSettings an
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.TryGetHostDriveSettings">
 <summary>
 Fordert die HostDriveSettings an
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_HostCPUUtilizationSettings(JobManagerCSLib.HostSystemUsage.HostCPUUtilizationSettings_cls)">
 <summary>
 empfängt die HostCPUUtilizationSettings
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_HostCPUUtilizationSettingsRequest">
 <summary>
 Fordert die HostCPUUtilizationSettings an
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.TryGetHostCPUUtilizationSettings">
 <summary>
 Fordert die HostCPUUtilizationSettings an
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.IN_HostMemoryUsageSettings(JobManagerCSLib.HostSystemUsage.HostMemoryUsageSettings_cls)">
 <summary>
 empfängt die HostMemoryUsageSettings
 </summary>
</member>
<member name="E:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.OUT_HostMemoryUsageSettingsRequest">
 <summary>
 Fordert die HostMemoryUsageSettings an
 </summary>
</member>
<member name="M:JF.PlmJobManager.JobClient.UI.UserInterfaceBase_cls.TryGetHostMemoryUsageSettings">
 <summary>
 Fordert die HostMemoryUsageSettings an
 </summary>
</member>
</members>
</doc>
